package com.bcxin.ars.pdf;

public class BicengInnerResponse {

	public enum ResultCode{
		resultFail,
		resultSuccess,
		resultSuccessWithData
	}
	
	public enum errorCode{
		Verify_Code_Validate_Fail,
		Verify_Code_Expire,
		Login_Already_Exist,
		Mobile_Already_Exist,
		User_Org_Not_Exist,
		User_Rigster_Fail,
		USer_Rigster_For_Econtact_Fail,
		Get_User_By_Mobile_Fail,
		Get_User_By_Login_Fail,
		Password_Error,
		Change_Mobile_For_Econtact_Fail,
		User_Certifacate_Not_Exist,
		Validate_Certificate_Fail
	}
	
	private ResultCode code = ResultCode.resultFail;
	private String desc = "";
	private Object data = null;
	
	public BicengInnerResponse(ResultCode code, String desc, Object data){
		this.code = code;
		this.desc = desc;
		this.data = data;
	}
	
	public ResultCode getCode() {
		return code;
	}
	
	public void setCode(ResultCode code) {
		this.code = code;
	}
	
	public String getDesc() {
		return desc;
	}
	
	public void setDesc(String desc) {
		this.desc = desc;
	}
	
	public Object getData() {
		return data;
	}
	
	public void setData(Object data) {
		this.data = data;
	}

	public BicengInnerResponse() {
		super();
	}
	
}
